org.apache.sysds.runtime.compress.utils

## Class IntIntMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.IntIntMap

    public class IntIntMap
    extends Object

This int it map supports incrementing entries and only this. it is designed to support counting how to multiply the individual cells together in a compressed compressed multiplication. Inspiration from http://java-performance.info/implementing-world-fastest-java-int-to-int-hash-map/ https://github.com/mikvor/hashmapTest/blob/master/src/main/java/map/intint/IntIntMap4a.java

### Constructor Summary

Constructors
Constructor and Description
`IntIntMap(int size, float fillFactor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCapacity()`
`int` `getFreeValue()`
`int[]` `getMap()`
`void` `inc(int key)`
`void` `inc(int key, int v)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntIntMap

    public IntIntMap(int size,
                     float fillFactor)

### Method Detail

#### getCapacity

    public int getCapacity()

#### getFreeValue

    public int getFreeValue()

#### getMap

    public int[] getMap()

#### inc

    public void inc(int key)

#### inc

    public void inc(int key,
                    int v)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`